%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

%define module turbojson

Name:           python-turbojson
Version:        1.1.2
Release:        3%{?dist}
Summary:        Python template plugin that supports json

Group:          Development/Languages
License:        MIT
URL:            http://cheeseshop.python.org/pypi/TurboJson
Source0:        http://pypi.python.org/packages/source/T/TurboJson/TurboJson-%{version}.tar.gz
# Backport of upstream patch to fix SQLAlchemy support::
# http://trac.turbogears.org/changeset/3749?format=diff&new=3749
Patch0:         python-turbojson-SAfix-r3749.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires: python-devel
BuildRequires: python-setuptools-devel

%description
This package provides a template engine plugin, allowing you
to easily use Json with TurboGears, Buffet or other systems
that support python.templating.engines.


%prep
%setup -q -n TurboJson-%{version}
%patch0 -p0

%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{python_sitelib}/%{module}/
%{python_sitelib}/TurboJson-%{version}-py%{pyver}.egg-info/


%changelog
* Sat Feb 2 2008 Toshio Kuratomi <tkuratom@redhat.com> 1.1.2-3
- ...and remember to include the patch in cvs.

* Sat Feb 2 2008 Toshio Kuratomi <tkuratom@redhat.com> 1.1.2-2
- Backport fix for 1.1.2's SQLAlchemy breakage.

* Tue Nov 27 2007 Luke Macken <lmacken@redhat.com> 1.1.2-1
- 1.1.2

* Wed Oct  3 2007 Toshio Kuratomi <a.badger@gmail.com> 1.1-2
- BuildRequire python-devel and setuptools-devel
- Use the setup.py script to build and install

* Wed Oct  3 2007 Luke Macken <lmacken@redhat.com> 1.1-1
- 1.1
- Update URL and Source

* Fri Dec  8 2006 Luke Macken <lmacken@redhat.com> 0.9.9-3
- Rebuild for new python

* Fri Oct  6 2006 Luke Macken <lmacken@redhat.com> 0.9.9-2
- Update source url

* Mon Sep 25 2006 Luke Macken <lmacken@redhat.com> 0.9.9-1
- 0.9.9
- Rename to python-turbojson
- Own the %%{python_sitelib/turbojson directory
- Install the EGG-INFO

* Sat Sep 16 2006 Luke Macken <lmacken@redhat.com> 0.9.8-1
- Initial creation
